<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>.:: Graficos com Flot::.</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="Wellington Marinheiro">
<META NAME="Keywords" CONTENT="">
<!--[if IE]><script language="javascript" type="text/javascript" src="excanvas.min.js"></script><![endif]-->
<script language="javascript" type="text/javascript" src="jquery.js"></script>
<script language="javascript" type="text/javascript" src="jquery.flot.js"></script>
</head>
<body>
<h1>Graficos com jQuery + Flot</h1>
Este exemplo pega dados de um vetor para montar o grfico.<BR>
Este vetor pode ser preenchido com dados oriundos de uma base de dados...

<div id="localGraf" style="width:600px;height:200px"></div>

<p> <span id="ExibDados"></span></p>

<p><input id="Habilt_Valores" type="checkbox" checked>Exibir Valores</p>
<%

'Criando os vetores
Dim a(6)  
Dim b(6)  

'Colocando dados
a(0)=0 :a(1)=1 :a(2)=6 :a(3)=4 :a(4)=5 :a(5)=3
b(0)=5 :b(1)=3 :b(2)=2 :b(3)=4 :b(4)=3 :b(5)=5

'Estas variveis pegaro os valores no mesmo formato que seriam gerados pela rotina jSON.
Dados_A="": Dados_B=""

For i=0 To 5
	Dados_A= Dados_A & "[" & i & ", " & a(i) & "],"
	Dados_B= Dados_B & "[" & i & ", " & b(i) & "],"
Next

'Este comando retira a ultima virgula e acrescenta a chave "]"
Dados_A = "[" & left(Dados_A,(Len(Dados_A)-1)) & "]"
Dados_B = "[" & left(Dados_B,(Len(Dados_B)-1)) & "]"
%>

<script id="source" language="javascript" type="text/javascript">
$(function () {
    var plot = $.plot($("#localGraf"),
           [ { data: <%=Dados_B%>, label: "Dados_B"}, { data: <%=Dados_A%>, label: "Dados_A" } ], {
               series: {
                   lines: { show: true },
                   points: { show: true }
               },
               grid: { hoverable: true, clickable: true },
               yaxis: { min: 0 },
			   legend: {position: "ne", margin:[-80, 0], noColumns: 1, backgroundOpacity: 0.2}
             });

    function showC_Valores(x, y, contents) {
        $('<div id="C_Valores">' + contents + '</div>').css( {
            position: 'absolute',
            display: 'none',
            top: y + -30,
            left: x + 0,
            border: '1px solid #C5C5C5',
            padding: '1px',
            'background-color': '#DDFFFF',
            opacity: 0.60
        }).appendTo("body").fadeIn(200);
    }


    var Pontos = null;
    $("#localGraf").bind("plothover", function (event, pos, item) {
        $("#x").text(pos.x.toFixed(0));
        $("#y").text(pos.y.toFixed(0));

        if ($("#Habilt_Valores:checked").length > 0) {
            if (item) {
                if (Pontos != item.datapoint) {
                    Pontos = item.datapoint;
                    
                    $("#C_Valores").remove();
                    var x = item.datapoint[0].toFixed(0),
                        y = item.datapoint[1].toFixed(0);
                    
                    showC_Valores(item.pageX, item.pageY, "(" + item.series.label + ") X = " + x + " Y = " + y);
                }
            }
            else {
                $("#C_Valores").remove();
                Pontos = null;            
            }
        }
    });

});
</script>

 </body>
</html>
